This bug was fixed in the package update-manager - 1:16.04.8

---------------
update-manager (1:16.04.8) xenial; urgency=medium

  * Recommend libgtk2-perl be installed so we have a working debconf frontend.
    (LP: #1607929)

 -- Brian Murray <br...@ubuntu.com>  Mon, 24 Jul 2017 17:40:35 -0700

** Changed in: update-manager (Ubuntu Xenial)
       Status: Fix Committed => Fix Released

** Changed in: update-manager (Ubuntu Zesty)
       Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of नेपाली
भाषा समायोजकहरुको समूह, which is subscribed to Xenial.
Matching subscriptions: Ubuntu 16.04 Bugs
https://bugs.launchpad.net/bugs/1607929

Title:
  update-manager: missing dependency on libgtk2-perl for debconf
  frontend

Status in shim-signed package in Ubuntu:
  Triaged
Status in update-manager package in Ubuntu:
  Fix Released
Status in update-manager source package in Trusty:
  Fix Released
Status in update-manager source package in Xenial:
  Fix Released
Status in update-manager source package in Yakkety:
  Won't Fix
Status in update-manager source package in Zesty:
  Fix Released

Bug description:
  [Impact]
  update-manager is missing a recommends on libgtk2-perl which allows it to 
display debconf prompts. While we've fixed software-properties-gtk and 
gnome-software to depend / recommend libgk2-perl and this will resolve the 
issue for most installations it'd be best to fix update-manager too for all 
releases in case there is some installation situation where libgtk2-perl is 
missing.

  [Test Case]
  1) Uninstall libgtk2-perl - 'sudo apt-get remove libgtk2-perl'
  2) Launch update-manager from a terminal
  3) Observe the following message in the terminal:

  debconf: unable to initialize frontend: Gnome
  debconf: (Can't locate Gtk2.pm in @INC (you may need to install the Gtk2 
module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.24.1 
/usr/local/share/perl/5.24.1 /usr/lib/x86_64-linux-gnu/perl5/5.24 
/usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.24 /usr/share/perl/5.24 
/usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at 
/usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 91.)
  debconf: falling back to frontend: Dialog

  [Regression Potential]
  None - no really! We are just adding a recommends on another package.

  Original Description
  --------------------
  I'm not really sure whether this is a bug; I think the install was hanging 
for a while, with a blank window displaying. I killed the install and it went 
away, but it's certainly plausible that this is due to something local, not a 
bug. Feel free to close this if nobody else is seeing it.

  ProblemType: Package
  DistroRelease: Ubuntu 14.04
  Package: shim-signed 1.17~14.04.1+0.8-0ubuntu2
  ProcVersionSignature: Ubuntu 3.13.0-85.129-generic 3.13.11-ckt36
  Uname: Linux 3.13.0-85-generic x86_64
  NonfreeKernelModules: openafs
  ApportVersion: 2.14.1-0ubuntu3.21
  Architecture: amd64
  BootEFIContents:
   grub.cfg
   grubx64.efi
   MokManager.efi
   shimx64.efi
  Date: Fri Jul 29 15:45:46 2016
  DuplicateSignature: package:shim-signed:1.17~14.04.1+0.8-0ubuntu2:subprocess 
installed post-installation script was killed by signal (Terminated)
  ErrorMessage: subprocess installed post-installation script was killed by 
signal (Terminated)
  InstallationDate: Installed on 2014-05-23 (798 days ago)
  InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
  RelatedPackageVersions:
   dpkg 1.17.5ubuntu5.7
   apt  1.0.1ubuntu2.14SourcePackage: shim-signed
  Title: package shim-signed 1.17~14.04.1+0.8-0ubuntu2 failed to 
install/upgrade: subprocess installed post-installation script was killed by 
signal (Terminated)
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/shim-signed/+bug/1607929/+subscriptions

_______________________________________________
Mailing list: https://launchpad.net/~group.of.nepali.translators
Post to     : group.of.nepali.translators@lists.launchpad.net
Unsubscribe : https://launchpad.net/~group.of.nepali.translators
More help   : https://help.launchpad.net/ListHelp

Reply via email to